<?php
/**
 * @package Corethinker
 */
?>

<div <?php corethinkertheme_content_wrap_class(); ?>>
	<?php dynamic_sidebar( 'corethinker-before-post' ); ?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">
			<h3 class="entry-title"><?php the_title(); ?></h3>

			<div class="entry-meta">
				<?php corethinkertheme_posted_on(); ?>
			</div><!-- .entry-meta -->
		</header><!-- .entry-header -->

		<div class="entry-content clearfix"><div class="hidden-xs">
			<?php echo get_the_post_thumbnail();?></div> 
			<?php the_content(); ?>
			<?php wp_link_pages(); ?>
		</div><!-- .entry-content -->

		<footer class="entry-meta">
			<?php
/* translators: used between list items, there is a space after the comma */
$category_list = get_the_category_list( __(', ', 'corethinkertheme') );

/* translators: used between list items, there is a space after the comma */
$tag_list = get_the_tag_list('', ', ');

$permalink = '<span class="permalink"><a href="%3$s" rel="bookmark"><span class="glyphicon glyphicon-link"></span> permalink</a></span>';

if (!corethinkertheme_categorized_blog()) {
	// This blog only has 1 category so we just need to worry about tags in the meta text
	if ('' != $tag_list ) {
		$meta_text = '<span class="cat-links"><span class="glyphicon glyphicon-tag"></span> %2$s</span> <span class="permalink">' .  $permalink .'</span>';
	} else {
		$meta_text =  $permalink;
	}

} else {
	// But this blog has loads of categories so we should probably display them here
	if ('' != $tag_list ) {
		$meta_text = '<span class="cat-links"><span class="glyphicon glyphicon-folder-open"></span> %1$s</span> <span class="tag-links"><span class="glyphicon glyphicon-tag"></span> %2$s</span> '. $permalink;
	} else {
		$meta_text = '<span class="cat-links"><span class="glyphicon glyphicon-folder-open"></span> %1$s</span> '. $permalink;
	}

} // end check for categories on this blog

printf(
	$meta_text,
	$category_list,
	$tag_list,
	get_permalink()
);
			?>

			<?php edit_post_link('<span class="glyphicon glyphicon-pencil"></span> '
								 . __('Edit', 'corethinkertheme'), '<span class="edit-link">', '</span>'); ?>
		</footer><!-- .entry-meta -->
	</article><!-- #post-## -->
</div>