<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package Corethinker
 */

get_header(); ?>

	<section id="primary" class="content-area col-md-9 col-sm-8 col-xs-12">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( __('Search Results for: %s', 'corethinkertheme'), '<span>' . get_search_query() . '</span>'); ?></h1>
			</header><!-- .page-header -->

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part('content', 'search'); ?>

			<?php endwhile; ?>

			<?php corethinkertheme_content_nav('nav-below'); ?>

		<?php else : ?>

			<?php get_template_part('content', 'none'); ?>

		<?php endif; ?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php
get_sidebar();
get_footer(); ?>
