<?php
/**
 * @package Corethinker
 */
?>

<div <?php corethinkertheme_content_wrap_class(); ?>>	
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">
			<h4 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h4>

			<?php if ('post' == get_post_type() ) : ?>
			<div class="entry-meta">
				<?php corethinkertheme_posted_on(); ?>
			</div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->

		<?php if ( is_search() ) : // Only display Excerpts for Search ?>
		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
		<?php else : ?>
		<div class="entry-content clearfix">
			<?php
if ('Y' == corethinkertheme_option('excerpt')) {
	if (corethinkertheme_option('post_thumbnail')) {
		the_post_thumbnail('thumbnail', array('class' => 'thumbnail attachment-thumbnail alignleft'));
	}
	the_excerpt(); ?>
			<?php
}
else {
	the_content( __('Continue reading <span class="meta-nav">&rarr;</span>', 'corethinkertheme') );
	wp_link_pages();
}
			?>
		</div><!-- .entry-content -->
		<?php endif; ?>

		<footer class="entry-meta clearfix">
		
		</footer><!-- .entry-meta -->
	</article><!-- #post-## -->
</div>
	