<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Corethinker
 */

get_header(); ?>

<div id="primary" class="content-area col-md-9 col-sm-8 col-xs-12">
	<main id="main" class="site-main" role="main">

		
		<?php dynamic_sidebar( 'corethinker-before-page' ); ?>
		
		<?php if ( have_posts() ) : ?>

		<?php $leftcol = true;  /* Start the Loop */ ?>
		<?php while ( have_posts() ) : the_post(); ?>

		<?php


if($leftcol)
{
	echo '<div class="row">';
	echo '<div class="col-md-6 col-sm-5 col-xs-12">';
	//the content
	get_template_part('two-column-content', get_post_format() );
	echo '</div>';	
}
else
{
	echo '<div class="col-md-6 col-sm-5 col-xs-12">';
	//the content
	get_template_part('two-column-content', get_post_format() );
	echo '</div>';
	echo '</div>';
}
$leftcol = !$leftcol;
/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */



		?>

		<?php endwhile; ?>

		<?php corethinkertheme_content_nav('nav-below'); ?>

		<?php else : ?>

		<?php get_template_part('content', 'none'); ?>

		<?php endif; ?>

	</main><!-- #main -->
</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
